.mBlogPageWrapper {
    color : var(--primary-color-foreground);
}

.btn.btn-link {
    min-width: auto;
    width: fit-content;
}

.btn-link {
    color          : var(--primary-color-background);
    text-transform : uppercase;
    font-family    : "Oswald", sans-serif;
    font-size      : 0.9375rem;
    font-weight    : 500;
    display        : flex;
    align-items    : center;
    justify-content: center;
    gap            : 0.5rem;
}

.btn-link:hover {
    gap : 0.75rem;
}

.btn-link i {
        width     : 0.9375rem;
        height    : 0.9375rem;
        margin-top: 0.0625rem;
}

.mBlogPagination {
    display: flex;
}

.page-numbers {
    display: none;
}


.mBlogHeaderBanner {
    background-image: url('../images/blog/bannerBg.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left center;
    text-align: center;
    justify-content: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    height: 19rem;
    padding-inline : 1.875rem;
}

.mBlogSecTItle {
    text-transform: uppercase;
    font-size : 2.25rem;
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    margin-block: 0 2.6875rem;
    color : var(--primary-color-background);
}

.mBlogSubTitle {
    font-family: 'Oswald', sans-serif;
    font-weight: 500;
    font-size : 1.75rem;
    margin-block: 0;
    text-transform: uppercase;
    line-height: 2rem;
    white-space: pre-line;
}

.mBlogPageWrapper p {
    font-family: "open sans", sans-serif;
    font-size : 1rem;
    font-weight: 400;
    color   : var(--fx-sub-white);
}

.mBlogMeta {
    text-transform: uppercase;
    font-weight: 400;
    font-family: "open sans", sans-serif;
    color : var(--fx-sub-white);
    font-size  : 1rem;
}

.mBlogHeaderBanner img {
    max-width : 42.8125rem;
    height: auto;
    width: 100%;
}
.mBlogHeaderBanner h1 {
    margin-block: 0;
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    font-size: 2.3125rem;
    letter-spacing: -2%;
    line-height: 100%;
}

.mBlogFeatureWrapper {
    position: relative;
    z-index : 0;
    padding-block : 4.625rem;
    background-color: var(--fx-black-2);

    * {
        position: relative;
        z-index : 1;
    }

    &::after {
        content            : '';
        background-image   : url('../images/blog/mainbg.jpg');
        background-size    : cover;
        background-position: center;
        background-repeat  : no-repeat;
        width              : 100%;
        height             : 100%;
        opacity            : 0.25;
        position           : absolute;
        top                : 0;
        left               : 0;
        z-index            : 0;
    }
}

.mBlogFeatureWrapper .container {
    display: grid;
    grid-template-columns: 60% 40%;
    gap : 0.8125rem;
    grid-auto-rows: 1fr;
    min-height: 400px; 
}

.mBlogFeature {
    height: 100%;
}

.mBlogfeatureContent {
    background-color: var(--accent-color-foreground);
    padding: 2rem;
    align-self: stretch;
    height: auto;
}

.mBlogfeatureContent h3.mBlogMeta {
    margin: 1em 0;
}

.mBlogFeature img {
    width: 100%;
    height: auto;
}

.mBlogfeatureContent .btn {
    margin-top : 1rem;
}


.mBlogAllPostHeader {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 2.6875rem;
}

.mBlogAllPostHeader .mBlogSecTItle {
    margin-block: 0;
}

.mBlogPostList {
    background-color: var(--accent-color-foreground);
}

.mBlogPostList+.btn-link {
    display: none;
}

.mBlogPostItem {
    padding : 1.9rem 1.875rem;
    display: flex;
    gap : 3.4375rem;
    color : var(--primary-color-foreground);
}

.mBlogPostItem:not(.mBlogAllBlogWrapper .mBlogPostItem):hover {
    background-color: var(--primary-color-background);
}

.mBlogPostItem .mBlogMeta {
    margin-top : 0;
}

.mBlogPostItemImage img {
    width: 30.625rem;
    height: 19.875rem;
    object-fit: contain;
}

.mBlogPostItemContent {
    padding-right : 5rem;
 }

.mBlogPostItemContent .btn {
    margin-top: 2.375rem;
}   



.mBlogChooseCategoryWrapper {
    padding-block : 4.375rem; 
}

.mBlogChooseCategoryWrapper .mBlogSecTItle {
    text-align: center;
}

.mBlogChooseCategList {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15.4375rem, 1fr));
    gap : 2.5rem;
}

.mBlogChooseCatImage {
    width: 100%;
    height: 13.75rem;
    background-image: url('../images/blog/chooseCategBg.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1.1rem;
    position: relative;
}

.mBlogChooseCatItem:hover .mBlogChooseCatImage {
    color: var(--primary-color-background);
}



.mBlogChooseCatItem .btn-link {
    text-align: left;
}

.mBlogAllBlogHeader {
    background-image: url('../images/blog/allPostHeaderBg.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 4.625rem;
    padding-bottom: 6.25rem;
}

.mBlogAllBlogHeader img {
    width: 100%;
    height: auto;
    max-width: 14.5rem;
}

.mBlogAllBlogHeader h4 + img {
    display: none;
}

.mBlogAllBlogHeader .btn {
    margin-top: 2.125rem;
}

.mBlogAllBlogHeaderContent {
    max-width: 40%;
}

.mBlogAllBlogHeaderContent h4 {
    font-size: 1.125rem;
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    text-transform: uppercase;
    margin-block: 0 3.125rem;
    letter-spacing: 50%;   
}

.mBlogAllBlogWrapper {
    padding-block: 3.75rem;
}

.mBlogAllBlogWrapper .container {
    display: flex;
    gap : 1.375rem;
}

.mBlogAllBlogWrapper .mBlogAllPost {
    flex : 1;
}

.mBlogCategListWrapper {
    flex : 0 0 11.75rem;
}

.mBlogCategListWrapper h2 {
    margin-block: 0 0.875rem;
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    font-size: 1.125rem;
    letter-spacing: 50%;
}

.mBlogCategList a {
    display: flex;
    align-items: center;
    width: 100%;
    gap : 0.625rem;
    color : var(--primary-color-foreground);
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    font-size: 0.875rem;
    line-height: 2rem;
    background-image: url('../images/blog/chooseCategBg.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-block: 0.625rem;
    padding-inline : 0.875rem;
    margin-bottom: 0.6875rem;
}

.mBlogCategList a:last-child {
    margin-bottom: 0;
}

.mBlogCategList a .m-icon {
    width: 1.8125rem !important;
    height: 1.8125rem !important;
    display: block !important;
}

.mBlogCategList a:hover .m-icon, .mBlogCategList a.active .m-icon {
    color : var(--primary-color-background);
}

.mBlogAllBlogWrapper .mBlogPostItem {
    padding: 0;
    border-bottom: 1px solid var(--fx-gray-2);
    padding-bottom : 2.25rem;
    margin-bottom : 2.25rem;
}

.mBlogAllBlogWrapper  .btn-next {
    margin-left: auto;
    margin-right: 0;
}

.mBlogAllBlogWrapper  .btn-next, .mBlogAllBlogWrapper  .btn-prev {
    color : var(--primary-color-foreground);
    display: flex;
    align-items: center;
    font-family: "open sans", sans-serif;
    font-size : 1rem;
    font-weight: 400;
    gap : 1rem;
}


.mBlogAllBlogWrapper  .btn-next i, .mBlogAllBlogWrapper  .btn-prev i {
    width : 1rem;
    height : 1rem;
    color : var(--primary-color-background);
}


.mBlogCategoryHeader {
    background-image: url('../images/blog/allPostHeaderBgMobile.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-block: 2.125rem 4rem;
}

.mBlogCategoryHeader img:not(.mBlogCategHeaderContent img) {
    max-width: 14.5rem;
    width: 100%;
    height: auto;
    display: block;
    margin-inline: auto;
    margin-bottom: 1.625rem;
}

.mBlogCategHeaderContent {
    display: flex;
}

.mBlogCategHeaderContent > div {
    flex : 0 0 50%;
}

.mBlogCategHeaderContent .mBlogActiveCategory {
    display: flex;
    gap : 2.375rem;
    align-items: center;
}

.mBlogCategHeaderContent .mBlogActiveCategory img {
    width: 7.125rem;
    height: 7.5625rem;
    object-fit: contain;
    object-position: center;
}

.mBlogActiveCategoryName h1 {
    margin-block: 0;
    font-family: "Oswald", sans-serif;
    font-size: 2.25rem;
    font-weight: 500;
    line-height: 2.5rem;
    text-transform: uppercase;
}

.mBlogActiveCategoryName h3 {
    margin-block: 0;
    font-family: "Oswald", sans-serif;
    font-size: 1.125rem;
    font-weight: 500;
    line-height: 2rem;
    text-transform: uppercase;
    letter-spacing: 50%;
}

.mBlogActiveCategoryDescription {
    text-align: right;
    color : var(--fx-sub-white);
    font-family: "open sans", sans-serif;
    font-size : 1rem;
    font-weight: 400;
}

.mBlogPostHeader {
    background-image: url('../images/blog/allPostHeaderBgMobile.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-block : 2rem 9.125rem;
}

.mBlogPostHeader img:not(.mBlogPostCateg img) {
    max-width: 14.5rem;
    width: 100%;
    height: auto;
    display: block;
    margin-inline: auto;
    margin-block: 0 2.875rem;
}

.mBlogPostHeader h1 {
    font-weight: 500;
    font-family: "Oswald", sans-serif;
    font-size : 3.75rem;
    line-height: 4.5rem;
    text-transform: uppercase;
    text-align: center;
    max-width: 62.5rem;
    margin-inline: auto;
    margin-block: 0 2.0625rem;
}

.mBlogPostCateg {
    display: flex;
    align-items: center;
    justify-content: center;
    gap  : 1.625rem;
}

.mBlogPostCateg img {
    width : 2.5rem;
    height : 2.5rem;
    object-fit: contain;
    object-position: center;
}

.mBlogPostImage {
    margin-block: -6.25rem 6.25rem;
}

.mBlogPostImage img {
    width: 100%;
    height: auto;
}

.mBlogPostContent p, ul, h1 {
    margin-bottom: 2.125rem;
}

.mBlogPostContent p {
    line-height: 1.5rem;
}

.mBlogPostContent ul li {
    font-family: "open sans", sans-serif;
    font-size : 1rem;
    font-weight: 400;
    color   : var(--fx-sub-white);
    line-height: 2.1875rem;
}

.mBlogPostContent a {
    color : var(--primary-color-background);
    text-decoration: underline;
}


.mBlogPostContent h1 {
    font-size :1.75rem;
    line-height: 2rem;
    font-weight: 500;
    font-family: "Oswald", sans-serif;
}

.mBlogPostContent img {
    width: auto;
    height: auto;
    max-width: 100%;
    display: block;
    margin-inline: auto;
}

.mBlogPostRelatedArticleWrapper {
    padding-block: 4.0625rem;
}

.mBlogPostRelatedArticleWrapper .mBlogSecTItle {
    text-align: center;
}

.mBlogRelatedArticles {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(19.8125rem, 1fr));
    gap : 5.4375rem;
}

.mBlogRelatedArticleItem img {
    width: 100%;
    height: 10.875rem;
    object-fit: cover;
    object-position: center;
}



@media screen and (max-width: 1024px) {
    .mBlogFeatureWrapper .container {
        display: block;
    }

    .mBlogfeatureContent .btnPrimary {
        margin-inline: auto;
        display: table;
    }

    .mBlogAllPost  {
        padding-top : 2.6875rem;
    }

    .mBlogPageWrapper .mBlogAllPost  {
        padding-top : 2.6875rem;
    }

    .mBlogAllBlogWrapper .mBlogAllPost {
    padding-top : 0;
    }

    .mBlogAllPostHeader .btn-link {
        display: none;
    }

    .mBlogAllPostHeader {
        justify-content: center;
    }

    .mBlogPostList+.btn-link {
        display: block;
        margin-inline : auto 0;
        margin-top : 1rem;
    }

    .mBlogSubTitle {
        white-space: wrap;
    }

    .mBlogChooseCatItem {
        display: flex;
        gap : 1.875rem;
    }

    .mBlogChooseCatImage {
        max-width: 6.375rem;
        height: 5.6875rem;
        padding : 1rem;
    }

    .mBlogChooseCatImage img {
        width : 100%;
        height: 100%;
    }

    .mBlogAllBlogHeader {
        background-image: url('../images/blog/allPostHeaderBgMobile.jpg');
        background-position: center;
        padding-bottom: 1.875rem;
    }

    .mBlogAllBlogHeaderContent {
        max-width: 100%;
    }

    .mBlogAllBlogHeaderContent img, .mBlogAllBlogHeaderContent h4 {
        margin-inline: auto;
        text-align: center;
        display: block;
    }

   

    .mBlogAllBlogHeaderContent .mBlogSubTitle {
        font-size : 2rem;
        line-height: 2.0625rem;
    }

    .mBlogAllBlogHeaderContent .btn,  .mBlogAllBlogWrapper .mBlogPostItem .btn {
        margin-inline: auto;
        display: table;
    }

    .mBlogAllBlogHeaderContent h4 {
        margin-bottom: 1.25rem;
    }

    .mBlogAllBlogHeader h4 + img {
        display: block;
        width: 100%;
        height: auto;
        max-width: 100%;
    }

    .mBlogAllBlogWrapper .mBlogPostItem {
        flex-wrap: wrap;
        gap : 0;
    }

    .mBlogPostItemContent {
        padding-right: 0;
    }

    .mBlogCategHeaderContent {
        display: block;
    }

    .mBlogCategHeaderContent .mBlogActiveCategory {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        gap : 1.8125rem;
    }

    .mBlogActiveCategoryDescription {
        text-align: center;
    }

    .mBlogAllBlogWrapper .container {
        display: block;
    }

    .mBlogCategListWrapper {
        display: none;
    }
}